import os

from cpl_core.application import StartupExtensionABC
from cpl_core.configuration import ConfigurationABC
from cpl_core.dependency_injection import ServiceCollectionABC
from cpl_core.environment import ApplicationEnvironmentABC


class StartupTestExtension(StartupExtensionABC):

    def __init__(self):
        StartupExtensionABC.__init__(self)

    def configure_configuration(self, configuration: ConfigurationABC, environment: ApplicationEnvironmentABC):
        # this shit has to be done here because we need settings in subsequent startup extensions
        environment.set_working_directory(os.path.dirname(os.path.realpath(__file__)))
        environment.set_working_directory('../../src/bot/')

    def configure_services(self, services: ServiceCollectionABC, env: ApplicationEnvironmentABC):
        pass
